Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.resources
Class ConfigSpec

    java.lang.Object
      |
      +--edu.utah.janosvm.resources.ResourceSpec
            |
            +--edu.utah.janosvm.resources.ConfigSpec

public final class ConfigSpec
extends ResourceSpec
implements java.lang.Cloneable

Fields inherited from interface java.lang.Cloneable
`KAFFE_VERSION`

Constructor Summary
`ConfigSpec(java.lang.String[] files)`

Method Summary
`java.lang.Object` | `clone()`
`static ConfigSpec` | `current()`
`void` | `finalize()`
`java.lang.String` | `getFile(int index)`
`int` | `getFileCount()`
`java.lang.String` | `toString()`

Methods inherited from class edu.utah.janosvm.resources.ResourceSpec
`find`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConfigSpec

    public ConfigSpec(java.lang.String[] files)

Method Detail

### getFileCount

    public int getFileCount()

### getFile

    public java.lang.String getFile(int index)

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### current

    public static ConfigSpec current()

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002